namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 必选修规则(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_StudyRuleController : BaseController<IGhre_StudyRuleServices, Ghre_StudyRule, Ghre_StudyRuleDto, InsertGhre_StudyRuleInput, EditGhre_StudyRuleInput>
{
    public Ghre_StudyRuleController(IGhre_StudyRuleServices service) : base(service)
    {
    }



    #region 记录 
    /// <summary>
    /// 记录
    /// </summary> 
    /// <param name="id"></param>
    /// <returns></returns>
    [HttpPost("StaffIn")]
    public async Task  StaffIn(long id) => await _service.StaffIn();

    #endregion
}